Subject: bug#4816: change of coding system without inquiry

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Nov 2009 20:33:38 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Fri, 30 Oct 2009 11:02:49 -0400
> Cc: [email-masked]
> 
> I think you're right that we should at least do a y-or-n-p prompt
> when changing the buffer-file-coding-system, unless the change is to
> a "superset coding system" (like from us-ascii to latin-1).

FWIW, in the past users explicitly expressed annoyance by these
questions.  The request was to use the "native" encoding silently.  By
introducing back this question, we are restoring that annoyance.